## Intergalactic

Intergalactic is a client-side gateway to the IPFS distributed web. After the
initial page load and bootstrapping, it pulls content from IPFS peers entirely
in your browser.

## Motivation

Intergalactic brings the distributed web to anyone with a web browser. Web
developers and content producers, simply publish your content through IPFS,
and then bring it to your users with Intergalactic. All without downloads,
software installation, or running IPFS yourself.

## Installation

```shell
npm install
```

TODO

## Usage

### Development

First, run the following from your copy of Intergalactic's source code:

```shell
node server.js
```

Then, enter a URL like `http://localhost:3000/ipfs/<hash>` into your web
browser, where `<hash>` is the IPFS hash of some content on the network.

If the corresponding content is loadable, it will load and render in your
browser.

Open your browser's web console to see what's going on and debug any issues
loading content.


### Production

TODO


### Compatibility

So far, this is only tested in Firefox 57 on Linux. If you have success or
issues on other browsers, please let me know.
